PRAGMA foreign_keys=off;

BEGIN TRANSACTION;

DROP INDEX bookmark_metadata_content_id;

ALTER TABLE bookmark_metadata RENAME TO temp_bookmark_metadata;

CREATE TABLE bookmark_metadata (
  _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
  episode_number integer DEFAULT(0),
  season_number integer DEFAULT(0),
  season_title text,
  season_uuid text,
  series_title text,
  series_uuid text,
  description text,
  title text,
  trailer integer DEFAULT(0),
  type text,
  uuid text,
  uuid_type text,
  content_id text,
  has_audio_description integer,
  added_time integer,
  audio_type text,
  channel_group_id text,
  channel_group_name text,
  channel_name text,
  duration integer,
  start_of_credits_millis integer,
  is_3d integer,
  programme_id text,
  provider_id text,
  provider_name text,
  has_subtitles integer,
  service_id text,
  file_size integer,
  synopsis text,
  video_type text,
  rating text
);

INSERT INTO bookmark_metadata
    SELECT _id,
     episode_number,
     season_number,
     season_title,
     season_uuid,
     series_title,
     series_uuid,
     description,
     title,
     trailer,
     type,
     uuid,
     uuid_type,
     content_id,
     has_audio_description,
     added_time,
     audio_type,
     channel_group_id,
     channel_group_name,
     channel_name,
     duration,
     start_of_credits_millis,
     is_3d,
     programme_id,
     provider_id,
     provider_name,
     has_subtitles,
     service_id,
     file_size,
     synopsis,
     video_type,
     rating
    FROM temp_bookmark_metadata;

DROP TABLE temp_bookmark_metadata;

COMMIT;

PRAGMA foreign_keys=on;
